Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - CurrentTenant

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Current Tenant

Current tenant settings and billing.

Get tenant billing information

Get current billing information.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
city
required
string

City.

country
required
string

Country.

email
required
string

Email address of the billing contact.

firstName
required
string

First name of the billing contact.

lastName
required
string

Last name of the billing contact.

phoneNumber
required
string

Phone number of the billing contact.

state
required
string

State or region.

streetAddress
required
string

Street address.

zip
required
string

Postal / ZIP code.

companyName
string

Company or organization name.

Response samples

Content type
application/json
{
  • "firstName": "string",
  • "lastName": "string",
  • "email": "string",
  • "phoneNumber": "string",
  • "streetAddress": "string",
  • "city": "string",
  • "state": "string",
  • "country": "string",
  • "zip": "string",
  • "companyName": "string"
}

Update tenant billing information

Update billing information.

Authorizations:
bearerAuth
Request Body schema: application/json
required
city
required
string

City.

country
required
string

Country.

email
required
string

Email address of the billing contact.

firstName
required
string

First name of the billing contact.

lastName
required
string

Last name of the billing contact.

phoneNumber
required
string

Phone number of the billing contact.

state
required
string

State or region.

streetAddress
required
string

Street address.

zip
required
string

Postal / ZIP code.

companyName
string

Company or organization name.

Responses

Request samples

Content type
application/json
{
  • "firstName": "string",
  • "lastName": "string",
  • "email": "string",
  • "phoneNumber": "string",
  • "streetAddress": "string",
  • "city": "string",
  • "state": "string",
  • "country": "string",
  • "zip": "string",
  • "companyName": "string"
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Update subscription tier

Request change of current tier. (Cannot change to Enterprise this way.)

Authorizations:
bearerAuth
Request Body schema: application/json
required
largePackages
required
integer <int32>

Number of large add-on packages to assign.

smallPackages
required
integer <int32>

Number of small add-on packages to assign.

tier
required
string
Enum: "FREE" "GROWTH" "PROFESSIONAL" "ENTERPRISE"

Target subscription tier level.

Responses

Request samples

Content type
application/json
{
  • "tier": "FREE",
  • "smallPackages": 0,
  • "largePackages": 0
}

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Cancel pending tier update

Cancel pending tier update. (Cannot cancel updates that would disable the tenant or that would move from/to Enterprise.)

Authorizations:
bearerAuth

Responses

Response samples

Content type
application/json
{
  • "timestamp": "string",
  • "status": 0,
  • "error": "string",
  • "message": "string",
  • "path": "string"
}

Get subscription tier change history

Get tier history and prices per month.

Authorizations:
bearerAuth

Responses

Response Schema: application/json
Array
days
required
integer <int64>

Number of days in this tier period.

from
required
string <date>

Start date of this tier period.

required
object (TierInfo)

Tier and package configuration during this period.

price
required
number <double>

Cost for this tier period.

to
required
string <date>

End date of this tier period.

Response samples

Content type
application/json
[
  • {
    • "info": {
      },
    • "from": "2019-08-24",
    • "to": "2019-08-24",
    • "days": 0,
    • "price": 0.1
    }
]